package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
HTML::Mason::Exception::Params->throw
    ( error =>
      "Odd number of parameters passed to component expecting name/value pairs"
    ) if @_ % 2;
my ( $object_id, $object_type, $owners_div );
{
    my %pos;
    for ( my $x = 0; $x < @_; $x += 2 )
    {
        $pos{ $_[$x] } = $x + 1;
    }

    foreach my $arg ( qw( object_id object_type ) )
    {
        HTML::Mason::Exception::Params->throw
            ( error => "no value sent for required parameter '$arg'" )
                unless exists $pos{$arg};
    }
#line 40 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
    $object_id = $_[ $pos{'object_id'} ];
#line 41 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
    $object_type = $_[ $pos{'object_type'} ];
#line 42 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
     $owners_div = exists $pos{'owners_div'} ? $_[ $pos{'owners_div'} ] :  'object_owners';
}
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '

' );
#line 37 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '
' );
#line 44 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '
<div id = "' );
#line 45 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print(  $owners_div  );
#line 45 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '" >&nbsp;Loading..</div>

<script language="javascript">

jQuery(document).ready(function() {
    display_owners("' );
#line 50 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print(  $owners_div  );
#line 50 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '");
    function display_owners(owners_div) {
        jQuery.ajax( { url: "/' );
#line 52 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print(  $object_type  );
#line 52 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '/' );
#line 52 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print(  $object_id  );
#line 52 "/home/production/cxgn/sgn/mason/phenome/display_owners.mas"
$m->print( '/owners" , dataType: "json",
            success: function(response) {
                jQuery("#"+owners_div).html(response.html);
            }
        } );
    }
});
' );
;return;
},
'declared_args' => {
  '$object_id' => { default => undef },
  '$object_type' => { default => undef },
  '$owners_div' => { default => ' \'object_owners\'' }
},
'load_time' => 1739746764,

)
;